<template>
  <div class="liucheng-box" v-if="isShowYulan">
    <el-dialog :title="dataForm.name" :visible.sync="isShowYulan" :before-close="cancel" :close-on-click-modal="false" width="60%" center v-dialogDrag>
      <component :is="popwindow" :id="id" :isShowYulan="isShowYulan" :title="dataForm.name"
                 :processId="processId" :key="processId" :isFinish="isFinish" @cancel="cancel">
      </component>
    </el-dialog>
  </div>
</template>

<script>
export default {
  name: "index",
  props: ['isShowYulan'],
  data() {
    return {
      id:0,
      dataForm: {},
      name:'',
      processId: '',
      src: '',
      isFinish:'',
    };
  },
  computed: {
    popwindow:{
      get:function() {
          console.log(this.src,'this.src====')
         if (this.src) {
          return ()=>import('@/views/News/' + this.src);
        }
      },
      set:function() {
      }
    }
  },
  /*created() {
    this.init()
  },*/
  methods: {
    init(obj,id) {
      this.$nextTick(() => {
        this.dataForm = obj;
        this.id = id;
        this.processId = obj.id;
        this.isFinish = obj.finish;
        this.src = this.dataForm.router;
        console.log(this.src,'src-==')
      });
      // this.src = Math.random();
    },
    /*getDataList() {
      this.$emit('getDataList');
    },*/
    cancel() {
      this.$emit('cancel', false);
      this.$emit('getDataList');
    }
  },
}
</script>

<style lang="scss">
.el-dialog {
  margin-top: 4vh !important;
  background-color: #fff;
  max-height: 92% !important;
  /*display: grid!important;*/
  display: flex;
  flex-direction: column;
}

.el-dialog__body {
  height: calc(100% - 34px);
  overflow: auto;
  flex: auto;
}
.liucheng-box{
  .el-input.is-disabled .el-input__inner{
    color: #000!important;
  }
  .el-textarea.is-disabled .el-textarea__inner{
    color: #000!important;
  }
  .el-tag.el-tag--info{
    color: #000!important;
  }
}
</style>


